QR kodlar

GET https://tappon.bio/api/qr-codes/
curl --request GET \
--url 'https://tappon.bio/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
Parametreler Ayrıntılar Açıklama
search İsteğe bağlı Metin (string) Arama metni.
search_by İsteğe bağlı Metin (string) Hangi alanda arama yapılacağı. İzin verilen değerler: name.
type İsteğe bağlı Metin (string) Hangi alanda arama yapılacağı. İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix.
datetime_field İsteğe bağlı Metin (string) İzin verilen değerler: datetime, last_datetime
datetime_start İsteğe bağlı Metin (string) Bu tarih ve saatten itibaren sonuçları filtreler. Y-m-d H:i:s biçiminde.
datetime_end İsteğe bağlı Metin (string) Bu tarih ve saate kadar sonuçları filtreler. Y-m-d H:i:s biçiminde.
order_by İsteğe bağlı Metin (string) Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: qr_code_id, datetime, last_datetime, name, type.
order_type İsteğe bağlı Metin (string) Sonuçların sıralama yönü. İzin verilen değerler: artan sıralama için ASC, azalan sıralama için DESC.
page İsteğe bağlı Tam sayı Sonuç almak istediğiniz sayfa numarası. Varsayılan: 1.
results_per_page İsteğe bağlı Tam sayı Sayfa başına istediğiniz sonuç sayısı. İzin verilen değerler: 10, 25, 50, 100, 250, 500, 1000. Varsayılan: 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "link_id": 1,
            "type": "Example",
            "name": "Example",
            "qr_code": "Example",
            "qr_code_logo": "Example",
            "qr_code_background": "Example",
            "qr_code_foreground": "Example",
            "settings": [],
            "embedded_data": "Example",
            "last_datetime": null,
            "datetime": "2026-11-02 03:34:40"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://tappon.bio/api/qr-codes?page=1",
        "last": "https://tappon.bio/api/qr-codes?page=1",
        "next": null,
        "prev": null,
        "self": "https://tappon.bio/api/qr-codes?page=1"
    }
}
GET https://tappon.bio/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://tappon.bio/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-02 03:34:40"
    }
}
POST https://tappon.bio/api/qr-codes
Parametreler Ayrıntılar Açıklama
project_id İsteğe bağlı Tam sayı -
name Zorunlu Metin (string) -
type Zorunlu Metin (string) İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
is_bulk İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: type = text
url_dynamic_existing_link İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: url_dynamic = 1
url_dynamic İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: type = url
link_id İsteğe bağlı Tam sayı Kullanılabilir olduğu durum: url_dynamic = 1 + url_dynamic_existing_link = 1
style İsteğe bağlı Metin (string)
inner_eye_style İsteğe bağlı Metin (string) İzin verilen değerler: square, dot, rounded, diamond, flower, leaf
outer_eye_style İsteğe bağlı Metin (string) İzin verilen değerler: square, circle, rounded, flower, leaf
foreground_type İsteğe bağlı Metin (string) İzin verilen değerler: color, gradient
foreground_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = color
foreground_gradient_style İsteğe bağlı Metin (string) İzin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = gradient
foreground_gradient_two İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = gradient
background_color İsteğe bağlı Metin (string)
background_color_transparency İsteğe bağlı Tam sayı
custom_eyes_color İsteğe bağlı Mantıksal (boolean)
eyes_inner_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: custom_eyes_color = 1
eyes_outer_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: custom_eyes_color = 1
qr_code_logo İsteğe bağlı Dosya -
qr_code_logo_size İsteğe bağlı Tam sayı 5-35
qr_code_background İsteğe bağlı Dosya -
qr_code_background_transparency İsteğe bağlı Tam sayı 0-100
qr_code_foreground İsteğe bağlı Dosya -
qr_code_foreground_transparency İsteğe bağlı Tam sayı 0-100
frame İsteğe bağlı Metin (string) İzin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text İsteğe bağlı Metin (string)
frame_text_size İsteğe bağlı Tam sayı -5 - 5
frame_text_font İsteğe bağlı Metin (string) İzin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors İsteğe bağlı Mantıksal (boolean)
frame_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: frame_custom_colors = 1
frame_text_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: frame_custom_colors = 1
size İsteğe bağlı Tam sayı 50-2000
margin İsteğe bağlı Tam sayı 0-25
ecc İsteğe bağlı Metin (string) İzin verilen değerler: L, M, Q, H
text İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = text
url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = url. Kullanılabilir olduğu durum: url_dynamic = 0 / url_dynamic_existing_link = 0
phone İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = phone
sms İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = sms
sms_body İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = sms
email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = email
whatsapp İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = whatsapp
whatsapp_body İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = whatsapp
facetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = facetime
facetime_audio İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = facetime_audio
location
location_latitude İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = location
location_longitude İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = location
wifi
wifi_ssid İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = wifi
wifi_encryption İsteğe bağlı Metin (string) İzin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = wifi
wifi_is_hidden İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: type = wifi
event İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_location İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_timezone İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_start_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_end_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_first_alert_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_second_alert_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
crypto
crypto_coin İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
crypto_address İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
crypto_amount İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
vcard
vcard_first_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_last_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_company İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_phone_number_label[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_phone_number_value[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_job_title İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_birthday İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_street İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_city İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_zip İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_region İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_country İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_social_label[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_social_value[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
paypal
paypal_type İsteğe bağlı Metin (string) İzin verilen değerler: buy_now, add_to_cart, donation (type=paypal)
paypal_email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_title İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_price İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = paypal
paypal_thank_you_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_cancel_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
upi
upi_payee_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = upi
upi_transaction_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_transaction_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_transaction_reference İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_thank_you_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
epc
epc_iban İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = epc
epc_bic İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_remittance_reference İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_remittance_text İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
information İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
pix
pix_payee_key İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = pix
pix_city İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_transaction_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_description İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
bulk_request İsteğe bağlı Metin (string) -
qr_code_logo_remove İsteğe bağlı Mantıksal (boolean) -
qr_code_background_remove İsteğe bağlı Mantıksal (boolean) -
qr_code_foreground_remove İsteğe bağlı Mantıksal (boolean) -
encoding İsteğe bağlı Dizi -
sms İsteğe bağlı Dizi -
email İsteğe bağlı Dizi -
whatsapp İsteğe bağlı Dizi -
event İsteğe bağlı Dizi -
qr_code İsteğe bağlı Dizi -
embedded_data İsteğe bağlı Dizi -
Parametreler Ayrıntılar Açıklama
curl --request POST \
--url 'https://tappon.bio/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-02 03:34:40"
    }
}
POST https://tappon.bio/api/qr-codes/{qr_code_id}
Parametreler Ayrıntılar Açıklama
project_id İsteğe bağlı Metin (string) -
name İsteğe bağlı Metin (string) -
type İsteğe bağlı Metin (string) İzin verilen değerler: text, url, phone, sms, email, whatsapp, facetime, facetime_audio, location, wifi, event, vcard, crypto, paypal, upi, epc, pix
url_dynamic İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: type = url
url_dynamic_existing_link İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: url_dynamic = 1
link_id İsteğe bağlı Tam sayı Kullanılabilir olduğu durum: url_dynamic = 1 + url_dynamic_existing_link = 1
style İsteğe bağlı Metin (string) İzin verilen değerler: square, dot, round, rounded, elastic_square, heart, diamond, star, triangle, hexagon, spaced_square, octagon, cross_x, curvy_x, rounded_cross, ninja, sun, shine, bold_plus, teardrop, corner_cut, randomized_square, bold_x
inner_eye_style İsteğe bağlı Metin (string) İzin verilen değerler: square, dot, rounded, diamond, flower, leaf
outer_eye_style İsteğe bağlı Metin (string) İzin verilen değerler: square, circle, rounded, flower, leaf
foreground_type İsteğe bağlı Metin (string) İzin verilen değerler: color, gradient
foreground_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = color
foreground_gradient_style İsteğe bağlı Metin (string) İzin verilen değerler: vertical, horizontal, diagonal, inverse_diagonal, radial
foreground_gradient_one İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = gradient
foreground_gradient_two İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: foreground_type = gradient
background_color İsteğe bağlı Metin (string)
background_color_transparency İsteğe bağlı Tam sayı 0 - 100
custom_eyes_color İsteğe bağlı Mantıksal (boolean)
eyes_inner_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: custom_eyes_color = 1
eyes_outer_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: custom_eyes_color = 1
qr_code_logo İsteğe bağlı Dosya -
qr_code_logo_size İsteğe bağlı Tam sayı 5-35
qr_code_background İsteğe bağlı Dosya -
qr_code_background_transparency İsteğe bağlı Tam sayı 0-100
qr_code_foreground İsteğe bağlı Dosya -
qr_code_foreground_transparency İsteğe bağlı Tam sayı 0-100
frame İsteğe bağlı Metin (string) İzin verilen değerler: circle_simple_bottom_text, round_simple_bottom_text, straight_simple_bottom_text, round_card_bottom_text, straight_bottom_text, straight_top_text, round_bottom_text, round_top_text, tooltip_bottom_text, tooltip_top_text, ribbon_bottom_text, ribbon_top_text, tooltip_snap_top_text, tooltip_snap_bottom_text, straight_semi_bordered_bottom_text, round_semi_bordered_bottom_text, hand_arrows_bottom_text, broken_ticket_bottom_text, smooth_ribbon_bottom_text
frame_text İsteğe bağlı Metin (string)
frame_text_size İsteğe bağlı Tam sayı -5 -> 5
frame_text_font İsteğe bağlı Metin (string) İzin verilen değerler: times_new_roman, georgia, courier, arial, helvetica, verdana, tahoma, trebuchet_ms, courier_new, monaco, comic_sans_ms, impact, luminari, baskerville, papyrus, brush_script_mt
frame_custom_colors İsteğe bağlı Mantıksal (boolean)
frame_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: frame_custom_colors = 1
frame_text_color İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: frame_custom_colors = 1
size İsteğe bağlı Tam sayı 50-2000
margin İsteğe bağlı Tam sayı 0-25
ecc İsteğe bağlı Metin (string) İzin verilen değerler: L, M, Q, H
text İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = text
url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = url. Kullanılabilir olduğu durum: url_dynamic = 0 / url_dynamic_existing_link = 0
phone İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = phone
sms İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = sms
sms_body İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = sms
email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = email
whatsapp İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = whatsapp
whatsapp_body İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = whatsapp
facetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = facetime
facetime_audio İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = facetime_audio
location
location_latitude İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = location
location_longitude İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = location
wifi
wifi_ssid İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = wifi
wifi_encryption İsteğe bağlı Metin (string) İzin verilen değerler: nopass, WEP, WPA/WPA2, H (type=wifi)
wifi_password İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = wifi
wifi_is_hidden İsteğe bağlı Mantıksal (boolean) Kullanılabilir olduğu durum: type = wifi
event İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_location İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_timezone İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_start_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_end_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_first_alert_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
event_second_alert_datetime İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = event
crypto
crypto_coin İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
crypto_address İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
crypto_amount İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = crypto
vcard
vcard_first_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_last_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_company İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_phone_number_label[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_phone_number_value[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_job_title İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_birthday İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_street İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_city İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_zip İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_region İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_country İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_social_label[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
vcard_social_value[index] İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = vcard
paypal
paypal_type İsteğe bağlı Metin (string) İzin verilen değerler: buy_now, add_to_cart, donation (type=paypal)
paypal_email İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_title İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_price İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = paypal
paypal_thank_you_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
paypal_cancel_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = paypal
upi
upi_payee_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = upi
upi_transaction_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_transaction_note İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_transaction_reference İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
upi_thank_you_url İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = upi
epc
epc_iban İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = epc
epc_bic İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_remittance_reference İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
epc_remittance_text İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
information İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = epc
pix
pix_payee_key İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_payee_name İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_currency İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_amount İsteğe bağlı Ondalık sayı Kullanılabilir olduğu durum: type = pix
pix_city İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_transaction_id İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
pix_description İsteğe bağlı Metin (string) Kullanılabilir olduğu durum: type = pix
qr_code_logo_remove İsteğe bağlı Mantıksal (boolean) -
qr_code_background_remove İsteğe bağlı Mantıksal (boolean) -
qr_code_foreground_remove İsteğe bağlı Mantıksal (boolean) -
encoding İsteğe bağlı Dizi -
sms İsteğe bağlı Dizi -
email İsteğe bağlı Dizi -
whatsapp İsteğe bağlı Dizi -
event İsteğe bağlı Dizi -
qr_code İsteğe bağlı Dizi -
embedded_data İsteğe bağlı Dizi -
curl --request POST \
--url 'https://tappon.bio/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "link_id": 1,
        "name": "Example",
        "type": "Example",
        "qr_code": "Example",
        "qr_code_logo": "Example",
        "qr_code_background": "Example",
        "qr_code_foreground": "Example",
        "settings": [],
        "embedded_data": "Example",
        "last_datetime": null,
        "datetime": "2026-11-02 03:34:40"
    }
}
DELETE https://tappon.bio/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://tappon.bio/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \